Bug 277731 - No internet with tulip driver and Davicom 21x4x NIC, use dmfe instead
No internet with tulip driver and Davicom 21x4x NIC, use dmfe instead
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 00:11 EDT by George von Fuchs
Modified: 2011-12-13 17:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:19:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of "lspci" from computer of gvf0935 (1.21 KB, text/plain)
2007-09-07 00:11 EDT, George von Fuchs
no flags Details
Output from command "lspci -n " (495 bytes, text/plain)
2007-09-07 00:12 EDT, George von Fuchs
no flags Details

  None (edit)
Description George von Fuchs 2007-09-05 00:11:42 EDT
Description of problem:
No Internet connection until I remove tulip driver and use dmfe instead

Version-Release number of selected component (if applicable):
Fedora Core 7 (2.6.22.1-41.fc7)

How reproducible: Every time I re-start
 I have a Davicom 21x4x DEC-Tulip compatible 10/100 NIC
          Geforce2 MX/MX 400
    But it it apparently NOT really Tulip compatible
 I learned the fix from SuSE and they fixed the way they pick NIC drivers.

Steps to Reproduce:
1. Get a Davicon 21x4x DEC-Tulip compatible 10/100 NIC
2. Install Fedora Core 7 and try to get on the internet.
3.
  
Actual results:
    No internet connection until replacing the NIC driver

Expected results:
    Recognize that this card is NOT Tulip compatible and assign dmfe instead,
   so we one can get onto the internet straight away

Additional info: Sorry I forgot the SuSE Bug ID
Comment 1 Chuck Ebbert 2007-09-05 18:07:40 EDT
Please post output of 'lspci' and 'lspci -n' to show the device ID.
Comment 2 George von Fuchs 2007-09-07 00:11:26 EDT
Created attachment 189451 [details]
Output of "lspci" from computer of gvf0935

Output request by person assigned to this bug
Comment 3 George von Fuchs 2007-09-07 00:12:38 EDT
Created attachment 189461 [details]
Output from command "lspci -n "

Requested by person assigned to this Bug
Comment 4 Chuck Ebbert 2007-09-07 11:22:00 EDT
1282:9102 is supported by both tulip and dmfe, I guess it's HAL that decides
which one to load?

We should probably use dmfe for 1282:9100 as well if we don't already.
Comment 5 David Zeuthen 2007-09-18 15:55:15 EDT
-> module-init-tools
Comment 6 Chuck Ebbert 2007-09-20 15:34:31 EDT
Do we have some way to prioritize module loading, or should we just remove
support for these cards from the tulip code?
Comment 7 Jon Masters 2008-04-25 21:58:34 EDT
This bug was filed under a different user account so wasn't showing up on my bug
list. I have fixed that. In any case, there's no priority module loading per se,
since whichever module first grabs the hardware will win (even if both are
loaded, which they will be if they both provide that modalias). The fix is going
to be to remove the offending aliases from the older driver.
Comment 8 Jon Masters 2008-05-06 15:08:32 EDT
Actually, this isn't a problem for module-init-tools. It's an upstream kernel
"bug"/feature request. Do you want me to post a patch to LKML?

Jon.
Comment 9 Bug Zapper 2008-05-14 10:14:22 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 22:19:34 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.